### Method

# GUsb Device get_hid_descriptors

since: 0.4.7

#### Declaration

    GPtrArray*
    g_usb_device_get_hid_descriptors (
      GUsbDevice* self
      GError** error
    )

#### Description

Gets all the HID descriptors exported by the device.

The first time this method is used the hardware is queried and then after that cached results are returned. To invalidate the caches use g_usb_device_invalidate().

Available since: 0.4.7

#### Return value

Type: An array of `GBytes*`

An array of HID descriptors.

The caller of the method takes ownership of the data container, but not the data inside it.